MSDN Library

Writing Projects Targeting the .NET Framework 3.0 and 3.5 in Visual Studio 2010

.NET Framework (current version)
 

You can use Visual Studio 2010 to create projects that target the .NET Framework version 3.0 or 3.5. This topic describes how to do this.

System_CAPS_noteNote

When adding activities, make sure that the desired version of the .NET Framework is set. Changing the target version of the workflow after activities are added will cause the workflow to fail validation.

System_CAPS_warningWarning

Opening existing workflows in Visual Studio 2010 that have .Net Framework 3.5 activities will cause an error at this.SetValue(). In order to open projects created with previous versions of the .Net Framework, first open a blank workflow in the designer and add a .Net Framework 3.5 activity.

  1. Open Visual Studio 2010.

  2. Select File, New, Project.

  3. In the drop-down list at the top of the dialog box, select the desired version of the .NET Framework.

  1. Right-click the project in Solution Explorer, and select Properties.

  2. In the Target Framework drop-down list, select the desired version.

Show:
© 2016 Microsoft